summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2021-11-02 06:07:02 +0100
committerHans de Graaff <graaff@gentoo.org>2021-11-02 06:07:35 +0100
commitd3292b3eb832d493c03406dded3d938c8607628a (patch)
treef643a7857baec5203b2a83db12b7ec4940aa6725
parentdev-ruby/cri: add ruby30 (diff)
downloadgentoo-d3292b3eb832d493c03406dded3d938c8607628a.tar.gz
gentoo-d3292b3eb832d493c03406dded3d938c8607628a.tar.bz2
gentoo-d3292b3eb832d493c03406dded3d938c8607628a.zip
dev-ruby/idn-ruby: add 0.1.4
Package-Manager: Portage-3.0.28, Repoman-3.0.3 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/idn-ruby/Manifest1
-rw-r--r--dev-ruby/idn-ruby/idn-ruby-0.1.4.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-ruby/idn-ruby/Manifest b/dev-ruby/idn-ruby/Manifest
index 0721b833b65..3229b79997d 100644
--- a/dev-ruby/idn-ruby/Manifest
+++ b/dev-ruby/idn-ruby/Manifest
@@ -1 +1,2 @@
DIST idn-ruby-0.1.2.gem 18432 BLAKE2B 9bd1a280c76195a84bc996cfb68550c759a466fca4f5c88167c1e395652088b746831f3cd92a197af25d649ec18ce19ddf78402714432976c612ae38c6c64289 SHA512 404025918ca8fb49580d726b9972dbbde987bebc7fa1e42b0e7f091cd8fba38871258c18c933e49a6ee3c11a21cdd388342beb72c6ce46d8c034156eb9064ac5
+DIST idn-ruby-0.1.4.gem 18432 BLAKE2B 7c530e0d24ce515337a1810fbbc33c7598d91c9b82ed19de196aedd47a71edb50c3d6481e62d11e893418b579c58d167a24e1cdd5d9eaa99757b48a88f1943aa SHA512 b06ed738a488493aa843acd1122e40e039ebaeeb5873fc9f935edc5ee52a1f86eb0b2cb5460d211bee9d42d05491b0ee6e4a707b0840a07bc3f3174648435124
diff --git a/dev-ruby/idn-ruby/idn-ruby-0.1.4.ebuild b/dev-ruby/idn-ruby/idn-ruby-0.1.4.ebuild
new file mode 100644
index 00000000000..ffafe14cab8
--- /dev/null
+++ b/dev-ruby/idn-ruby/idn-ruby-0.1.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGES README.md"
+
+RUBY_FAKEGEM_EXTENSIONS=(ext/extconf.rb)
+
+inherit ruby-fakegem
+
+DESCRIPTION="LibIDN Ruby Bindings"
+HOMEPAGE="https://github.com/deepfryed/idn-ruby"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+RDEPEND+=" net-dns/libidn:0"
+DEPEND+=" net-dns/libidn:0"
+
+all_ruby_prepare() {
+ # Avoid UTF-8 tests since we cannot guarantee a UTF-8 environment
+ rm -f test/tc_Stringprep.rb || die
+}
+
+each_ruby_prepare() {
+ mkdir lib || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:test:. -e 'Dir["test/*.rb"].each{|f| require f}' || die
+}